Skip to main content
GET
Politician's trades

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:500

How many items to return. Max: 500. Min: 1. Returns up to 500 when omitted.

Required range: 1 <= x <= 500
Example:

10

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

ticker
string | null

Optional ticker symbol to filter results

Example:

"IOVA"

politician_id
string

The Politician's ID that you'd like to filter by.

Example:

"18f9fc95-4661-444e-99f5-99d3778e0c31"

filter_late_reports
boolean
default:false

If true, will filter out any trades with a transaction date after the input date. Only return trades reported more than 45 days after the transaction date.

Example:

true

page
integer

The page number for the data being requested (default is 1). Page number (use with limit). Starts on page 0.

Example:

1

disclosure_newer_than
string

If provided, will only return trades with a disclosure date >= this date. The unix time in milliseconds or seconds at which no older results will be returned. Can be used with older_than to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25).

Example:

"1_715_083_417"

disclosure_older_than
string

If provided, will only return trades with a disclosure date <= this date. The unix time in milliseconds or seconds at which no newer results will be returned. Can be used with newer_than to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25).

Example:

"1_715_083_417"

transaction_newer_than
string

If provided, will only return trades with a transaction date >= this date. The unix time in milliseconds or seconds at which no older results will be returned. Can be used with older_than to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25).

Example:

"1_715_083_417"

transaction_older_than
string

If provided, will only return trades with a transaction date <= this date. The unix time in milliseconds or seconds at which no newer results will be returned. Can be used with newer_than to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25).

Example:

"1_715_083_417"

order_by
enum<string>
default:filed_at_date

The field to order the congress trades by. Defaults to filed_at_date.

Available options:
filed_at_date,
transaction_date,
low_value,
mid_value,
high_value
Example:

"transaction_date"

order_direction
enum<string>
default:desc

Whether to sort descending or ascending. Descending by default.

Available options:
desc,
asc
Example:

"asc"

Response

Trades reported by members of congress, with the linked politician where known.

Last modified on September 29, 2026